bacula (15.0.3-3ubuntu2) questing; urgency=medium

  * d/bacula-director-db.postinst: use SQL_ASCII encoding
    for new postgresql databases to support arbitrarily encoded filenames
    (LP: #2121318)

 -- Jonas Jelten <jonas.jelten@canonical.com>  Mon, 25 Aug 2025 18:17:01 +0200

bacula (15.0.3-3ubuntu1) questing; urgency=medium

  * d/p/enable-fortification: enable libc fortifications (LP: #265102)
  * d/control: move mt-st from recommended to suggested (LP 2112455)
  * d/bacula-director-db.postinst: use UTF8 encoding for new postgresql databases
  * d/scripts/install-dbconfig: fix shell quoting by sed instead of patch
    (LP: #1882032)

 -- Jonas Jelten <jonas.jelten@canonical.com>  Tue, 24 Jun 2025 15:23:34 +0000

bacula (15.0.3-3) unstable; urgency=medium

  [ Jean-Paul Guillonneau ]
  * Add French translation for bacula's debconf messages (Closes: #1102718)

  [ Amar ]
  * Add Arabic translation for bacula's debconf messages

  [ Nuri KÜÇÜKLER ]
  * Add Turkish translation for bacula's debconf messages

 -- Carsten Leonhardt <leo@debian.org>  Thu, 24 Apr 2025 17:00:09 +0200

bacula (15.0.3-2) unstable; urgency=medium

  [ Américo Monteiro ]
  * Updated Portuguese translation for bacula's debconf messages (Closes: #1101955)

  [ Pablo ]
  * Add Galician translation for bacula's debconf messages

  [ Camaleón ]
  * Add Spanish translation for bacula's debconf messages (Closes: #1102352)

  [ Luca Vercelli ]
  * Add Italian translation for bacula's debconf messages (Closes: #1102460)

 -- Carsten Leonhardt <leo@debian.org>  Wed, 09 Apr 2025 21:56:42 +0200

bacula (15.0.3-1) unstable; urgency=medium

  * New upstream version 15.0.3

  [ Sven Hartge ]
  * Refresh patches

 -- Carsten Leonhardt <leo@debian.org>  Sun, 30 Mar 2025 01:02:38 +0100

bacula (15.0.2-2) unstable; urgency=high

  * Update Standards-Version to 4.7.2, no changes required.
  * Added po-debconf Catalan translation (thanks to Carles Pina i Estany)
  * Install postgresql database extension as database
    administrator. (Closes: 1100649)

 -- Carsten Leonhardt <leo@debian.org>  Fri, 28 Mar 2025 03:04:26 +0100

bacula (15.0.2-1) unstable; urgency=low

  * Upload to unstable.
  * Add Brazilian Portuguese debconf templates translation (thanks to
    Pablo Lucas Silva Santos). (Closes: #1096193)

 -- Carsten Leonhardt <leo@debian.org>  Thu, 20 Feb 2025 00:09:51 +0100

bacula (15.0.2-1~exp2) experimental; urgency=low

  * New upstream version 15.0.2

  [ Carsten Leonhardt ]
  * Refresh patches
  * Recommend python3 in bacula-director for optional malware detection
  * Recommend python3 in bacula-sd for optional volume encryption

  [ Sven Hartge ]
  * Refresh patches

 -- Carsten Leonhardt <leo@debian.org>  Mon, 13 Jan 2025 13:14:29 +0100

bacula (13.0.4-4) unstable; urgency=medium

  * add German translation (thanks to Christoph Brinkhaus).
    (Closes: 1074469)
  * add Dutch translation (thanks to Frans Spiesschaert).
    (Closes: #1075879)
  * Suppress the warning about disk space requirements and don't ask for
    confirmation if being tested by piuparts.

 -- Carsten Leonhardt <leo@debian.org>  Mon, 18 Nov 2024 20:22:29 +0100

bacula (13.0.4-3) unstable; urgency=medium

  * Warn about disk space requirements and ask for confirmation
  * Update Standards-Version to 4.7.0, no changes required.

 -- Carsten Leonhardt <leo@debian.org>  Sun, 23 Jun 2024 13:25:31 +0200

bacula (13.0.4-2) unstable; urgency=medium

  [ Carsten Leonhardt ]
  * Correctly suggest installing perl for package bacula-director

  [ Sven Hartge ]
  * Change systemd unitdir to /usr/lib/systemd. (Closes: #1065313)
  * Switch to pkgconf, on linux also depend on systemd-dev

 -- Carsten Leonhardt <leo@debian.org>  Tue, 11 Jun 2024 19:34:07 +0200

bacula (13.0.4-1) unstable; urgency=low

  * New upstream version 13.0.4
    - No longer includes the script baculabackupreport, it can be found at
      https://github.com/waa/baculabackupreport

 -- Carsten Leonhardt <leo@debian.org>  Tue, 13 Feb 2024 10:19:37 +0100

bacula (13.0.3-2) unstable; urgency=low

  * Backport fix from upstream about old FD compatibility
  * Remove line with date, version etc. from default configs. This should
    result in ucf asking less questions on future updates.
  * README.Debian: Mention that large installation may want to use
    config-directories (Closes: #1052049)
  * Segmentation fault in bsdjson fixed by upstream in version 13.0.0
    (Closes: #1008978)

 -- Carsten Leonhardt <leo@debian.org>  Wed, 07 Feb 2024 15:23:06 +0100

bacula (13.0.3-1) unstable; urgency=medium

  * Upload to unstable
  * Stop suggesting the installation of scsitools
  * Fix "make clean" (Closes: #1044124)

 -- Carsten Leonhardt <leo@debian.org>  Sat, 27 Jan 2024 17:43:46 +0100

bacula (13.0.3-1~exp+1) experimental; urgency=medium

  * New upstream version 13.0.3 (Closes: #997831)

  [ Carsten Leonhardt ]
  * Remove several patches applied upstream
  * Rework strategy to maintain dbconfig files (by hand for now)
  * fix pgsql upgrade script for 9.0.0, entries were doubled
  * fix all database upgrade instructions, the instructions were in there twice
  * Stop suggesting the installation of dds2tar
  * Apply spelling corrections from codespell on debian/*

  [ Sven Hartge ]
  * Refresh patches
  * Remove patches applied upstream:
   + fix-pkg-config-autoconf-macro
  * Add NEWS entry wrt. DB schema update and space requirements
  * Fix configure.in to work with autoconf2.71+
  * Fix Lintian warnings about renamed tags
  * Update to Debian Policy 4.6.0, no changes needed
  * Remove code to remove UCF temp files from upgrade to 9.0.7+dfsg-2
  * Remove manual -Wl,--as-needed linker flag, it is the default since Bullseye
  * Add context to Lintian tags that need them
  * Remove 2 obsolete maintscript entries in 2 files.
  * Manually add changes suggested by Debian Janitor
  * Override false-positive lintian tags
  * Change configure.in to use AC_PATH_TOOL to fix FTCBFS (Closes: #1009012)
  * Update DB extraction scripts to support 13.0.x
  * Update DB upgrade scripts for 13.0.x and DB version 1024
  * Refresh and update patches
  * Update DB installer to latest DB version 1024

 -- Carsten Leonhardt <leo@debian.org>  Wed, 24 Jan 2024 08:42:39 +0100

bacula (9.6.7-7) unstable; urgency=medium

  * Reupload with additional old form of one lintian override to pass
    ftp-master checks

 -- Carsten Leonhardt <leo@debian.org>  Tue, 07 Feb 2023 21:51:52 +0100

bacula (9.6.7-6) unstable; urgency=medium

  [ Sven Hartge ]
  * Fix lintian overrides to use correct tags

  [Helmut Grohne]
  * Fix finding libmysqlclient when cross building (Closes: #1019395)

  [ Carsten Leonhardt ]
  * Add configuration to needrestart so that Bacula daemons are not
    restarted by default, preventing the interruption of backup runs
  * Update Standards-Version to 4.6.2, no changes required.

 -- Carsten Leonhardt <leo@debian.org>  Tue, 07 Feb 2023 17:56:26 +0100

bacula (9.6.7-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Sven Hartge ]
  * Change configure.in to use AC_PATH_TOOL to fix FTCBFS (Closes: #1009012)
    Thanks to Helmut Grohne <helmut@subdivi.de> for finding and fixing
    the issue.

  [ Carsten Leonhardt ]
  * Update Standards-Version to 4.6.1, no changes required.

 -- Carsten Leonhardt <leo@debian.org>  Mon, 30 May 2022 16:41:18 +0200

bacula (9.6.7-4) unstable; urgency=medium

  [ Sven Hartge ]
  * Fix configure.in to work with autoconf2.70+ (Closes: #997139)
  * Update to Debian Policy 4.6.0, no changes needed
  * Remove code to remove UCF temp files from upgrade to 9.0.7+dfsg-2
  * Remove Lintian ignore for no longer necessary tags
  * Remove manual -Wl,--as-needed linker flag, it is the default since Bullseye
  * Add context to Lintian tags that need them
  * Remove 2 obsolete maintscript entries in 2 files.
  * Remove bacula-sd.maintscript needed for upgrade from ancient version
  * Manually add changes suggested by Debian Janitor
  * Remove reminder about "as-needed" linker flag
  * Remove Homepages field from metadata, fixing Lintian warning

 -- Carsten Leonhardt <leo@debian.org>  Sat, 12 Mar 2022 10:43:43 +0100

bacula (9.6.7-3) unstable; urgency=medium

  [ Carsten Leonhardt ]
  * Update Standards-Version to 4.5.1, no changes required.

  [ Sven Hartge ]
  * Add upstream patch fixing a memory overflow access
  * Reorder patches in series to apply upstream patches first

 -- Carsten Leonhardt <leo@debian.org>  Sun, 31 Jan 2021 19:27:24 +0100

bacula (9.6.7-2) unstable; urgency=medium

  [ Carsten Leonhardt ]
  * Backport btraceback from 11.0.1 to improve btraceback output
    (Closes: #954971)

  [ Sven Hartge ]
  * Fix bug in database locking code causing concurrency problems
    and job failures by importing patch from https://bugs.gentoo.org/766195
    from Phil Stracchino <phils@caerllewys.net> and
     Martin Simmons <martin@lispworks.com>.

 -- Carsten Leonhardt <leo@debian.org>  Thu, 21 Jan 2021 23:30:02 +0100

bacula (9.6.7-1) unstable; urgency=high

  * New upstream version 9.6.7
   + Adds compatibility for MariaDB 10.5 (Closes: #975970)
   + Fixes sporadic deadlock issues with MariaDB
   + Fixes compile errors with GCC10

  [ Sven Hartge ]
  * Add rudimentary man-pages for b*json commands
  * Remove patches added upstream
   + fix-narrowing-magic-numbers
   + fix_en_AR.po_errors

  [ Debian Janitor ]
  * Fixing Lintian tags
   + Fix day-of-week for changelog entries 1.36.3-2, 1.34.6-1, 1.32f-5-3.1.
   + Use secure URI in Homepage field.

 -- Sven Hartge <sven@svenhartge.de>  Fri, 11 Dec 2020 12:46:12 +0100

bacula (9.6.6-2) unstable; urgency=medium

  [ Carsten Leonhardt ]
  * Add patch to fix errors in po/en_AR.po Although the file is unused,
    the Debian QA tools point out the issues. This is to give us peace
    of mind.

  [ Sven Hartge ]
  * Fix Bacula binaries breaking when linked with symbolic-functions by
    stripping it from LDFLAGS. (LP: #1898006)

 -- Carsten Leonhardt <leo@debian.org>  Thu, 01 Oct 2020 17:33:19 +0200

bacula (9.6.6-1) unstable; urgency=medium

  * New upstream version 9.6.6

  [ Sven Hartge ]
  * Improve maintainer scripts
  * Fix narrowing conversion of magic numbers on 32bit arches with GCC10
  * Add overrides for non-applicable and false-positive lintian tags
  * Add patch to make variables in database scripts easier to manually
    override (Closes: #971381)

  [ Carsten Leonhardt ]
  * Add "Forwarded: not-needed" header to Debian specific patches
  * Add author information on some patches
  * remove obsolete function from common-functions.init
  * Convert 8bit encoding of files to UTF-8

 -- Carsten Leonhardt <leo@debian.org>  Thu, 01 Oct 2020 00:35:27 +0200

bacula (9.6.5-2) unstable; urgency=high

  * Re-add compatibility symlink for bsmtp in /usr/lib/bacula. Old
    installations may still refer to it in their configurations.

 -- Carsten Leonhardt <leo@debian.org>  Wed, 17 Jun 2020 09:23:15 +0200

bacula (9.6.5-1) unstable; urgency=medium

  * New upstream version 9.6.5

  [ Carsten Leonhardt ]
  * Fix order of depends in bacula-bscan
  * Fix LSB dependencies for bacula-dir and bacula-sd/fd
  * Remove patches that have been applied upstream

  [ Sven Hartge ]
  * Let bacula-dir start after bacula-sd/fd if they are also installed.
  * Update debhelper to level 13
  * Move binaries from /usr/lib to /usr/libexec
  * Install bbconsjson, bdirjson, bfdjson and bsdjson into /usr/sbin to
    match upstreams location. Add symlinks to old location for
    compatibility, to be removed after release of Bullseye.
  * Move b*json binaries to their main programs packages

 -- Carsten Leonhardt <leo@debian.org>  Fri, 12 Jun 2020 13:13:05 +0200

bacula (9.6.3-1) unstable; urgency=low

  * New upstream version 9.6.3

  [ Carsten Leonhardt ]
  * Make installation of bacula-sd possible on systems with
    protected_regular=2 set (Closes: #953030).

  [ Sven Hartge ]
  * Update Standards-Version to 4.5.0, no changes required.
  * Update .gitlab-ci.yml to current Salsa-CI default
  * Remove arch-any and arch-all build jobs, now provided by salsa-ci.yml
  * Import better workaround for #923444 from Ubuntu
  * allow-stderr for tests

 -- Carsten Leonhardt <leo@debian.org>  Tue, 10 Mar 2020 21:05:35 +0100

bacula (9.4.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Carsten Leonhardt <leo@debian.org>  Sat, 06 Jul 2019 16:36:04 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog bacula-common`.
